/*
 * PIC18F4550 UART example
 * Written by: BENCHEROUDA Okba
 * E-mail: electronnote@gmail.com
 * Website: http://elecnote.blogspot.com/
 * Internal oscillator used at 8MHz
 * Use at your own risk
*/
 char i ;
 void main() {
   OSCCON =  0X70;    // Set internal oscillator to 8MHz
   ADCON1 = 0x0F;     // Configure AN pins as digital
   CMCON = 7;         // Disable comparators
   UART1_Init(19200);            // Initialize USART module
                                  // (8 bit, 19200 baud rate, no parity bit...)
   delay_ms(2000);
   UART1_Write_Text("Hello world!");
   UART1_Write(13);      // Start a new line
   UART1_Write(10);
   UART1_Write_Text("PIC18F4550 UART example");
   UART1_Write(13);     // Start a new line
   UART1_Write(10);
   while (1) {       // Endless loop
     if (UART1_Data_Ready()) { // If data has been received
      i = UART1_Read();     // read it
      UART1_Write(i);       // and send it back
     }
   }
 }